gdk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object Functions for drawing points, lines, arcs, and text. To be added
- Constructor
  2.12.0.0
  This is a constructor used by derivative types of Drawable. This is not typically used by C# code.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Internal constructor
  This is a constructor used by derivative types of that would have their own GLib.GType assigned to it. This is not typically used by C# code.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  2.12.0.0
  Gdk.Region Computes the region of a drawable that potentially can be written to by drawing primitives. A . You must call when done. Computes the region of a drawable that potentially can be written to by drawing primitives. This region will not take into account the clip region for the GC, and may also not take into account other factors such as if the window is obscured by other windows, but no area outside of this region will be affected by drawing primitives.

  You must call the Destroy method on the returned region when done.

- Property
  2.12.0.0
  Gdk.Colormap The color map for this Drawable. The current on the Drawable. You only need to set the color map if the drawable-creating function did not have a way to determine the colormap, and you then use drawable operations that require a colormap. The colormap for all drawables and graphics contexts you intend to use together should match. i.e. when using a #GdkGC to draw to a drawable, or copying one drawable to another, the colormaps should match.
- Method
  2.12.0.0
  Gdk.Image `` `` `` `` `` `` `` a a a a a a a Copies a portion of drawable into the client side image structure image. a To be added
- Property
  2.12.0.0
  System.Int32 Obtains the bit depth of the drawable. The bit depth. Obtains the bit depth of the drawable, that is, the number of bits that make up a pixel in the drawable's visual. Examples are 8 bits per pixel, 24 bits per pixel, etc.
- Property
  2.12.0.0
  Gdk.Display Gets the associated with the . The .
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` `` a true if the arc should be filled, producing a 'pie slice'. The x-coordinate of the upper left hand of the bounding box of the arc. The y-coordinate of the upper left hand of the bounding box of the arc. the width of the bounding rectangle. the height of the bounding rectangle. The starting angle of the arc in the clockwise direction in reference to the 3'oclock position in terms of 1/64th of a degree. The number of 1/64ths of a degree to sweep the arc in a clockwise direction relative to the starting angle. Draws an arc or a filled 'pie slice'. The arc is defined by the bounding rectangle of the entire ellipse, and the start and end angles of the part of the ellipse to be drawn. Draw the left side of a circle with a radius of 5 units. `Gdk.Pixmap.DrawArc(gc, false, 0, 0, 10, 10, 90 * 64, 180 * 64);`
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` `` A A , the source Drawable. A A A A A A Draws a portion of a drawable into another.

  Copies the x region of at coordinates (, ) to coordinates (, ) in . and/or may be given as -1, in which case the entire drawable will be copied. Most fields in are not used for this operation, but notably the clip mask or clip region will be honored.

  The source and destination drawables must have the same visual and colormap, or errors will result. (On X11, failure to match visual/colormap results in a BadMatch error from the X server.) A common cause of this problem is an attempt to draw a bitmap to a color drawable. The way to draw a bitmap is to set the bitmap as a clip mask on your #GdkGC, then use to draw a rectangle clipped to the bitmap.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` A A A A A Low-level glyph drawing function.

  This is a low-level function; 99% of text rendering should be done using instead.

  A glyph is a character in a font. This function draws a sequence of glyphs. To obtain a sequence of glyphs you have to understand a lot about internationalized text handling, which you don't want to understand; thus, use instead of this function, handles the details.

- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` a a a a a a To be added To be added
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` `` a a a a a a a a To be added
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` `` A A A A A A A A Draws a onto a drawable. The depth of the must match the depth of the .
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` `` `` a a a a a a a a a To be added
- Method
  2.12.0.0
  System.Void `` `` `` `` The base to use. the X position of the left of the layout (in pixels) the Y position of the top of the layout (in pixels) A Render a onto a

  If the layout's PangoContext has a transformation matrix set, then x and y specify the position of the top left corner of the bounding box (in device space) of the transformed layout.

  If you are using Gtk, the usual way to obtain a is .
- Method
  2.12.0.0
  System.Void `` `` `` `` A , the graphics context to use A , the X position of the start of string (in pixels) A , the Y position of the baseline (in pixels) A Render a onto the Drawable object.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` A , the graphics context to use the X position of the start of string (in pixels) the Y position of the baseline (in pixels) To be added. the foreground color the background color Render a onto the Drawable object, overriding the layout's normal colors. Render a onto the Drawable object, overriding the layout's normal colors with and/or .

  and need not be allocated.

- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` A , the graphics context to use the X position of the left of the layout (in pixels) the Y position of the top of the layout (in pixels) the layout to render the foreground color the background color Render a onto the Drawable object with the specified colors. Render a onto the Drawable object, overriding the layout's normal colors with and/or . and need not be allocated.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` a a a a a Draws a line, using the foreground color and other attributes of the
- Method
  2.12.0.0
  System.Void `` `` a a Draws a series of lines connecting the given points. The way in which joins between lines are draw is determined by the value in the . This can be set with property.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` `` `` `` `` A used for clipping. The to render Source X coordinate within pixbuf. Source Y coordinates within pixbuf. Destination X coordinate within drawable. Destination Y coordinate within drawable. Width of region to render, in pixels, or -1 to use pixbuf width. Height of region to render, in pixels, or -1 to use pixbuf height. Dithering mode for GdkRGB. X offset for dither. Y offset for dither. Renders a rectangular portion of a to a The destination drawable must have a colormap. All windows have a colormap, however, pixmaps only have colormap by default if they were created with a non-NULL window argument. Otherwise a colormap must be set on them on the property.

  On older X servers, rendering pixbufs with an alpha channel involves round trips to the X server, and may be somewhat slow.

  The clip mask of gc is ignored, but clip rectangles and clip regions work fine.

- Method
  2.12.0.0
  System.Void `` `` `` A A A Draws a point at (,).
- Method
  2.12.0.0
  System.Void `` `` A An array of objects. Draws a number of points using the given graphics context.
- Method
  2.12.0.0
  System.Void `` `` `` a a a Draws a Polygon connecting a set of points.
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` `` `` a a a Draws a Polygon connecting a set of points. This method is obsolete. Use the overload which takes a for
- Method
  2.12.0.0
  System.Void `` `` `` a a a Draws a rectangular outline or filled rectangle, using the foreground color and other attributes of the . A rectangle drawn filled is 1 pixel smaller in both dimensions than a rectangle outlined. Calling Gdk.DrawRectangle (window, gc, TRUE, 0, 0, 20, 20) results in a filled rectangle 20 pixels wide and 20 pixels high. Calling Gdk.DrawRectangle (window, gc, FALSE, 0, 0, 20, 20) results in an outlined rectangle with corners at (0, 0), (0, 20), (20, 20), and (20, 0), which makes it 21 pixels wide and 21 pixels high.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` a a a a a a Draws a rectangular outline or filled rectangle, using the foreground color and other attributes of the . A rectangle drawn filled is 1 pixel smaller in both dimensions than a rectangle outlined. Calling Gdk.DrawRectangle (window, gc, TRUE, 0, 0, 20, 20) results in a filled rectangle 20 pixels wide and 20 pixels high. Calling Gdk.DrawRectangle (window, gc, FALSE, 0, 0, 20, 20) results in an outlined rectangle with corners at (0, 0), (0, 20), (20, 20), and (20, 0), which makes it 21 pixels wide and 21 pixels high.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` `` a a a a a a a a To be added
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` `` `` `` a a a a a a a a a a To be added
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` `` a a a a a a a a To be added
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` `` `` `` a a a a a a a a a a To be added
- Method
  2.12.0.0
  System.Void `` `` `` A A , a list of segments to draw. A , the number of segments. Draws a number of unconnected lines. TODO: Drawable.custom needs to be edited to make segs an array of Gdk.Segment objects.
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` `` `` `` `` a a a a a Deprecated: use instead. To be added
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` `` `` `` `` a a a a a Deprecated: use instead. Deprecated.
- Method
  2.12.0.0
  System.Obsolete
  System.UInt32 `` `` `` `` `` a a a a a Deprecated: draws a numbre of wide-char characters a Use instead.
- Method
  2.12.0.0
  System.Void `` `` `` a a a To be added To be added
- Method
  2.12.0.0
  System.Obsolete
  System.IntPtr `` a This method is deprecated, do not use. a To be added
- Method
  2.12.0.0
  Gdk.Image `` `` `` `` A , X coordinate of the upper left corner of the region to get as a drawable A , Y coordinate of the upper left corner of the region to get as a drawable. A , width of the rectangle A , height of the rectangle. Returns a client-side representing the server-side . A containing the contents of this Drawable object.

  A stores client-side image data (pixels). In contrast, and are server-side objects. This method obtains the pixels from a server-side drawable as a client-side .

  The format of a depends on the of the current display, which makes manipulating extremely difficult; therefore, in most cases you should use instead of this lower-level function. A contains image data in a canonicalized RGB format, rather than a display-dependent format. Of course, there's a convenience vs. speed tradeoff here, so you'll want to think about what makes sense for your application.

  , , , and define the region of the drawable to obtain as an image.

  You would usually copy image data to the client side if you intend to examine the values of individual pixels, for example to darken an image or add a red tint. It would be prohibitively slow to make a round-trip request to the windowing system for each pixel, so instead you get all of them at once, modify them, then copy them all back at once.

  If the X server or other windowing system backend is on the local machine, this function may use shared memory to avoid copying the image data.

  If the source drawable is a #GdkWindow and partially offscreen or obscured, then the obscured portions of the returned image will contain undefined data.

- Method
  2.12.0.0
  System.Void `` `` A A Fills and with the size of the Drawable. or can be if you only want the other one. On the X11 platform, if this Drawable object is also a , the returned size is the size reported in the most-recently-processed configure event, rather than the current size on the X server.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Method
  2.12.0.0
  System.Obsolete
  Gdk.Drawable To be added a To be added
- Property
  2.12.0.0
  Gdk.Screen Gets the associated with a a
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` `` `` a a a This method is deprecated and should not be used with new code. This method is deprecated and should not be used in newly-written code.
- Method
  2.12.0.0
  System.Obsolete
  System.Void To be added To be added
- Property
  2.12.0.0
  Gdk.Region Computes the region of a drawable that is potentially visible. A This does not necessarily take into account if the window is obscured by other windows, but no area outside of this region is visible.

  You must call when done.

- Property
  2.12.0.0
  Gdk.Visual Gets the describing the pixel format of drawable. A